Skip to content

List Images

GET
/container_registry/{Container_reg_id}/namespace-repository/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/container_registry/{Container_reg_id}/namespace-repository/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Note: Container Registry is currently available only in the Delhi region.

Container_reg_id
required
integer
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Successfully retrieved images in the container registry

Media typeapplication/json
object
code
integer
data
Array<object>
object
artifact_count
integer
creation_time
string format: date-time
id
integer
name
string
project_id
integer
pull_count
integer
update_time
string format: date-time
errors
object
message
string
total_count
integer

Example

{
"code": 200,
"data": [
{
"artifact_count": 1,
"creation_time": "2026-03-04T02:40:12.186Z",
"id": 7749,
"name": "mycr03/tir_automation-v2",
"project_id": 2246,
"pull_count": 3,
"update_time": "2026-03-04T02:40:27.623Z"
}
],
"errors": {},
"message": "Success",
"total_count": 3
}